
/**
 * Please modify this class to meet your needs
 * This class is not complete
 */

package com.openexchange.admin.soap.reseller.group.reseller.soap;

import java.util.logging.Logger;
import javax.jws.WebService;

/**
 * This class was generated by Apache CXF 2.6.0
 * 2012-06-06T11:09:53.276+02:00
 * Generated source version: 2.6.0
 *
 */

@WebService(
                      serviceName = "OXResellerGroupService",
                      portName = "OXResellerGroupServiceHttpEndpoint",
                      targetNamespace = "http://soap.reseller.admin.openexchange.com",

                      endpointInterface = "com.openexchange.admin.soap.reseller.group.reseller.soap.OXResellerGroupServicePortType")

public class OXResellerGroupServicePortTypeImpl3 implements OXResellerGroupServicePortType {

    private static final Logger LOG = Logger.getLogger(OXResellerGroupServicePortTypeImpl.class.getName());

    @Override
    public void change(Change parameters) throws DatabaseUpdateException_Exception , NoSuchUserException_Exception , InvalidCredentialsException_Exception , DuplicateExtensionException_Exception , NoSuchContextException_Exception , StorageException_Exception , RemoteException_Exception , NoSuchGroupException_Exception , InvalidDataException_Exception    {
        LOG.info("Executing operation change");
        System.out.println(parameters);
        try {
        } catch (java.lang.Exception ex) {
            ex.printStackTrace();
            throw new RuntimeException(ex);
        }
        //throw new DatabaseUpdateException_Exception("DatabaseUpdateException...");
        //throw new NoSuchUserException_Exception("NoSuchUserException...");
        //throw new InvalidCredentialsException_Exception("InvalidCredentialsException...");
        //throw new DuplicateExtensionException_Exception("DuplicateExtensionException...");
        //throw new NoSuchContextException_Exception("NoSuchContextException...");
        //throw new StorageException_Exception("StorageException...");
        //throw new RemoteException_Exception("RemoteException...");
        //throw new NoSuchGroupException_Exception("NoSuchGroupException...");
        //throw new InvalidDataException_Exception("InvalidDataException...");
    }

    @Override
    public void removeMember(RemoveMember parameters) throws DatabaseUpdateException_Exception , NoSuchUserException_Exception , InvalidCredentialsException_Exception , DuplicateExtensionException_Exception , NoSuchContextException_Exception , StorageException_Exception , RemoteException_Exception , NoSuchGroupException_Exception , InvalidDataException_Exception    {
        LOG.info("Executing operation removeMember");
        System.out.println(parameters);
        try {
        } catch (java.lang.Exception ex) {
            ex.printStackTrace();
            throw new RuntimeException(ex);
        }
        //throw new DatabaseUpdateException_Exception("DatabaseUpdateException...");
        //throw new NoSuchUserException_Exception("NoSuchUserException...");
        //throw new InvalidCredentialsException_Exception("InvalidCredentialsException...");
        //throw new DuplicateExtensionException_Exception("DuplicateExtensionException...");
        //throw new NoSuchContextException_Exception("NoSuchContextException...");
        //throw new StorageException_Exception("StorageException...");
        //throw new RemoteException_Exception("RemoteException...");
        //throw new NoSuchGroupException_Exception("NoSuchGroupException...");
        //throw new InvalidDataException_Exception("InvalidDataException...");
    }

    @Override
    public void delete(Delete parameters) throws DatabaseUpdateException_Exception , InvalidCredentialsException_Exception , DuplicateExtensionException_Exception , NoSuchContextException_Exception , StorageException_Exception , RemoteException_Exception , NoSuchGroupException_Exception , InvalidDataException_Exception    {
        LOG.info("Executing operation delete");
        System.out.println(parameters);
        try {
        } catch (java.lang.Exception ex) {
            ex.printStackTrace();
            throw new RuntimeException(ex);
        }
        //throw new DatabaseUpdateException_Exception("DatabaseUpdateException...");
        //throw new InvalidCredentialsException_Exception("InvalidCredentialsException...");
        //throw new DuplicateExtensionException_Exception("DuplicateExtensionException...");
        //throw new NoSuchContextException_Exception("NoSuchContextException...");
        //throw new StorageException_Exception("StorageException...");
        //throw new RemoteException_Exception("RemoteException...");
        //throw new NoSuchGroupException_Exception("NoSuchGroupException...");
        //throw new InvalidDataException_Exception("InvalidDataException...");
    }

    @Override
    public java.util.List<com.openexchange.admin.soap.reseller.group.soap.dataobjects.Group> list(com.openexchange.admin.soap.reseller.group.reseller.soap.dataobjects.ResellerContext ctx,java.lang.String pattern,com.openexchange.admin.soap.reseller.group.rmi.dataobjects.Credentials auth) throws DatabaseUpdateException_Exception , InvalidCredentialsException_Exception , DuplicateExtensionException_Exception , NoSuchContextException_Exception , StorageException_Exception , RemoteException_Exception , InvalidDataException_Exception    {
        LOG.info("Executing operation list");
        System.out.println(ctx);
        System.out.println(pattern);
        System.out.println(auth);
        try {
            java.util.List<com.openexchange.admin.soap.reseller.group.soap.dataobjects.Group> _return = null;
            return _return;
        } catch (java.lang.Exception ex) {
            ex.printStackTrace();
            throw new RuntimeException(ex);
        }
        //throw new DatabaseUpdateException_Exception("DatabaseUpdateException...");
        //throw new InvalidCredentialsException_Exception("InvalidCredentialsException...");
        //throw new DuplicateExtensionException_Exception("DuplicateExtensionException...");
        //throw new NoSuchContextException_Exception("NoSuchContextException...");
        //throw new StorageException_Exception("StorageException...");
        //throw new RemoteException_Exception("RemoteException...");
        //throw new InvalidDataException_Exception("InvalidDataException...");
    }

    @Override
    public java.util.List<com.openexchange.admin.soap.reseller.group.soap.dataobjects.User> getMembers(com.openexchange.admin.soap.reseller.group.reseller.soap.dataobjects.ResellerContext ctx,com.openexchange.admin.soap.reseller.group.soap.dataobjects.Group grp,com.openexchange.admin.soap.reseller.group.rmi.dataobjects.Credentials auth) throws DatabaseUpdateException_Exception , InvalidCredentialsException_Exception , DuplicateExtensionException_Exception , NoSuchContextException_Exception , StorageException_Exception , RemoteException_Exception , NoSuchGroupException_Exception , InvalidDataException_Exception    {
        LOG.info("Executing operation getMembers");
        System.out.println(ctx);
        System.out.println(grp);
        System.out.println(auth);
        try {
            java.util.List<com.openexchange.admin.soap.reseller.group.soap.dataobjects.User> _return = null;
            return _return;
        } catch (java.lang.Exception ex) {
            ex.printStackTrace();
            throw new RuntimeException(ex);
        }
        //throw new DatabaseUpdateException_Exception("DatabaseUpdateException...");
        //throw new InvalidCredentialsException_Exception("InvalidCredentialsException...");
        //throw new DuplicateExtensionException_Exception("DuplicateExtensionException...");
        //throw new NoSuchContextException_Exception("NoSuchContextException...");
        //throw new StorageException_Exception("StorageException...");
        //throw new RemoteException_Exception("RemoteException...");
        //throw new NoSuchGroupException_Exception("NoSuchGroupException...");
        //throw new InvalidDataException_Exception("InvalidDataException...");
    }

    @Override
    public com.openexchange.admin.soap.reseller.group.soap.dataobjects.Group getDefaultGroup(com.openexchange.admin.soap.reseller.group.reseller.soap.dataobjects.ResellerContext ctx,com.openexchange.admin.soap.reseller.group.rmi.dataobjects.Credentials auth) throws DatabaseUpdateException_Exception , InvalidCredentialsException_Exception , DuplicateExtensionException_Exception , NoSuchContextException_Exception , StorageException_Exception , RemoteException_Exception , InvalidDataException_Exception    {
        LOG.info("Executing operation getDefaultGroup");
        System.out.println(ctx);
        System.out.println(auth);
        try {
            com.openexchange.admin.soap.reseller.group.soap.dataobjects.Group _return = null;
            return _return;
        } catch (java.lang.Exception ex) {
            ex.printStackTrace();
            throw new RuntimeException(ex);
        }
        //throw new DatabaseUpdateException_Exception("DatabaseUpdateException...");
        //throw new InvalidCredentialsException_Exception("InvalidCredentialsException...");
        //throw new DuplicateExtensionException_Exception("DuplicateExtensionException...");
        //throw new NoSuchContextException_Exception("NoSuchContextException...");
        //throw new StorageException_Exception("StorageException...");
        //throw new RemoteException_Exception("RemoteException...");
        //throw new InvalidDataException_Exception("InvalidDataException...");
    }

    @Override
    public void addMember(AddMember parameters) throws DatabaseUpdateException_Exception , NoSuchUserException_Exception , InvalidCredentialsException_Exception , DuplicateExtensionException_Exception , NoSuchContextException_Exception , StorageException_Exception , RemoteException_Exception , NoSuchGroupException_Exception , InvalidDataException_Exception    {
        LOG.info("Executing operation addMember");
        System.out.println(parameters);
        try {
        } catch (java.lang.Exception ex) {
            ex.printStackTrace();
            throw new RuntimeException(ex);
        }
        //throw new DatabaseUpdateException_Exception("DatabaseUpdateException...");
        //throw new NoSuchUserException_Exception("NoSuchUserException...");
        //throw new InvalidCredentialsException_Exception("InvalidCredentialsException...");
        //throw new DuplicateExtensionException_Exception("DuplicateExtensionException...");
        //throw new NoSuchContextException_Exception("NoSuchContextException...");
        //throw new StorageException_Exception("StorageException...");
        //throw new RemoteException_Exception("RemoteException...");
        //throw new NoSuchGroupException_Exception("NoSuchGroupException...");
        //throw new InvalidDataException_Exception("InvalidDataException...");
    }

    @Override
    public com.openexchange.admin.soap.reseller.group.soap.dataobjects.Group create(com.openexchange.admin.soap.reseller.group.reseller.soap.dataobjects.ResellerContext ctx,com.openexchange.admin.soap.reseller.group.soap.dataobjects.Group grp,com.openexchange.admin.soap.reseller.group.rmi.dataobjects.Credentials auth) throws DatabaseUpdateException_Exception , NoSuchUserException_Exception , InvalidCredentialsException_Exception , DuplicateExtensionException_Exception , NoSuchContextException_Exception , StorageException_Exception , RemoteException_Exception , InvalidDataException_Exception    {
        LOG.info("Executing operation create");
        System.out.println(ctx);
        System.out.println(grp);
        System.out.println(auth);
        try {
            com.openexchange.admin.soap.reseller.group.soap.dataobjects.Group _return = null;
            return _return;
        } catch (java.lang.Exception ex) {
            ex.printStackTrace();
            throw new RuntimeException(ex);
        }
        //throw new DatabaseUpdateException_Exception("DatabaseUpdateException...");
        //throw new NoSuchUserException_Exception("NoSuchUserException...");
        //throw new InvalidCredentialsException_Exception("InvalidCredentialsException...");
        //throw new DuplicateExtensionException_Exception("DuplicateExtensionException...");
        //throw new NoSuchContextException_Exception("NoSuchContextException...");
        //throw new StorageException_Exception("StorageException...");
        //throw new RemoteException_Exception("RemoteException...");
        //throw new InvalidDataException_Exception("InvalidDataException...");
    }

    @Override
    public java.util.List<com.openexchange.admin.soap.reseller.group.soap.dataobjects.Group> listAll(com.openexchange.admin.soap.reseller.group.reseller.soap.dataobjects.ResellerContext ctx,com.openexchange.admin.soap.reseller.group.rmi.dataobjects.Credentials auth) throws DatabaseUpdateException_Exception , InvalidCredentialsException_Exception , DuplicateExtensionException_Exception , NoSuchContextException_Exception , StorageException_Exception , RemoteException_Exception , InvalidDataException_Exception    {
        LOG.info("Executing operation listAll");
        System.out.println(ctx);
        System.out.println(auth);
        try {
            java.util.List<com.openexchange.admin.soap.reseller.group.soap.dataobjects.Group> _return = null;
            return _return;
        } catch (java.lang.Exception ex) {
            ex.printStackTrace();
            throw new RuntimeException(ex);
        }
        //throw new DatabaseUpdateException_Exception("DatabaseUpdateException...");
        //throw new InvalidCredentialsException_Exception("InvalidCredentialsException...");
        //throw new DuplicateExtensionException_Exception("DuplicateExtensionException...");
        //throw new NoSuchContextException_Exception("NoSuchContextException...");
        //throw new StorageException_Exception("StorageException...");
        //throw new RemoteException_Exception("RemoteException...");
        //throw new InvalidDataException_Exception("InvalidDataException...");
    }

    @Override
    public java.util.List<com.openexchange.admin.soap.reseller.group.soap.dataobjects.Group> getMultipleData(com.openexchange.admin.soap.reseller.group.reseller.soap.dataobjects.ResellerContext ctx,java.util.List<com.openexchange.admin.soap.reseller.group.soap.dataobjects.Group> grps,com.openexchange.admin.soap.reseller.group.rmi.dataobjects.Credentials auth) throws DatabaseUpdateException_Exception , InvalidCredentialsException_Exception , DuplicateExtensionException_Exception , NoSuchContextException_Exception , StorageException_Exception , RemoteException_Exception , NoSuchGroupException_Exception , InvalidDataException_Exception    {
        LOG.info("Executing operation getMultipleData");
        System.out.println(ctx);
        System.out.println(grps);
        System.out.println(auth);
        try {
            java.util.List<com.openexchange.admin.soap.reseller.group.soap.dataobjects.Group> _return = null;
            return _return;
        } catch (java.lang.Exception ex) {
            ex.printStackTrace();
            throw new RuntimeException(ex);
        }
        //throw new DatabaseUpdateException_Exception("DatabaseUpdateException...");
        //throw new InvalidCredentialsException_Exception("InvalidCredentialsException...");
        //throw new DuplicateExtensionException_Exception("DuplicateExtensionException...");
        //throw new NoSuchContextException_Exception("NoSuchContextException...");
        //throw new StorageException_Exception("StorageException...");
        //throw new RemoteException_Exception("RemoteException...");
        //throw new NoSuchGroupException_Exception("NoSuchGroupException...");
        //throw new InvalidDataException_Exception("InvalidDataException...");
    }

    @Override
    public com.openexchange.admin.soap.reseller.group.soap.dataobjects.Group getData(com.openexchange.admin.soap.reseller.group.reseller.soap.dataobjects.ResellerContext ctx,com.openexchange.admin.soap.reseller.group.soap.dataobjects.Group grp,com.openexchange.admin.soap.reseller.group.rmi.dataobjects.Credentials auth) throws DatabaseUpdateException_Exception , InvalidCredentialsException_Exception , DuplicateExtensionException_Exception , NoSuchContextException_Exception , StorageException_Exception , RemoteException_Exception , NoSuchGroupException_Exception , InvalidDataException_Exception    {
        LOG.info("Executing operation getData");
        System.out.println(ctx);
        System.out.println(grp);
        System.out.println(auth);
        try {
            com.openexchange.admin.soap.reseller.group.soap.dataobjects.Group _return = null;
            return _return;
        } catch (java.lang.Exception ex) {
            ex.printStackTrace();
            throw new RuntimeException(ex);
        }
        //throw new DatabaseUpdateException_Exception("DatabaseUpdateException...");
        //throw new InvalidCredentialsException_Exception("InvalidCredentialsException...");
        //throw new DuplicateExtensionException_Exception("DuplicateExtensionException...");
        //throw new NoSuchContextException_Exception("NoSuchContextException...");
        //throw new StorageException_Exception("StorageException...");
        //throw new RemoteException_Exception("RemoteException...");
        //throw new NoSuchGroupException_Exception("NoSuchGroupException...");
        //throw new InvalidDataException_Exception("InvalidDataException...");
    }

    @Override
    public void deleteMultiple(DeleteMultiple parameters) throws DatabaseUpdateException_Exception , InvalidCredentialsException_Exception , DuplicateExtensionException_Exception , NoSuchContextException_Exception , StorageException_Exception , RemoteException_Exception , NoSuchGroupException_Exception , InvalidDataException_Exception    {
        LOG.info("Executing operation deleteMultiple");
        System.out.println(parameters);
        try {
        } catch (java.lang.Exception ex) {
            ex.printStackTrace();
            throw new RuntimeException(ex);
        }
        //throw new DatabaseUpdateException_Exception("DatabaseUpdateException...");
        //throw new InvalidCredentialsException_Exception("InvalidCredentialsException...");
        //throw new DuplicateExtensionException_Exception("DuplicateExtensionException...");
        //throw new NoSuchContextException_Exception("NoSuchContextException...");
        //throw new StorageException_Exception("StorageException...");
        //throw new RemoteException_Exception("RemoteException...");
        //throw new NoSuchGroupException_Exception("NoSuchGroupException...");
        //throw new InvalidDataException_Exception("InvalidDataException...");
    }

    @Override
    public java.util.List<com.openexchange.admin.soap.reseller.group.soap.dataobjects.Group> listGroupsForUser(com.openexchange.admin.soap.reseller.group.reseller.soap.dataobjects.ResellerContext ctx,com.openexchange.admin.soap.reseller.group.soap.dataobjects.User usr,com.openexchange.admin.soap.reseller.group.rmi.dataobjects.Credentials auth) throws DatabaseUpdateException_Exception , NoSuchUserException_Exception , InvalidCredentialsException_Exception , DuplicateExtensionException_Exception , NoSuchContextException_Exception , StorageException_Exception , RemoteException_Exception , InvalidDataException_Exception    {
        LOG.info("Executing operation listGroupsForUser");
        System.out.println(ctx);
        System.out.println(usr);
        System.out.println(auth);
        try {
            java.util.List<com.openexchange.admin.soap.reseller.group.soap.dataobjects.Group> _return = null;
            return _return;
        } catch (java.lang.Exception ex) {
            ex.printStackTrace();
            throw new RuntimeException(ex);
        }
        //throw new DatabaseUpdateException_Exception("DatabaseUpdateException...");
        //throw new NoSuchUserException_Exception("NoSuchUserException...");
        //throw new InvalidCredentialsException_Exception("InvalidCredentialsException...");
        //throw new DuplicateExtensionException_Exception("DuplicateExtensionException...");
        //throw new NoSuchContextException_Exception("NoSuchContextException...");
        //throw new StorageException_Exception("StorageException...");
        //throw new RemoteException_Exception("RemoteException...");
        //throw new InvalidDataException_Exception("InvalidDataException...");
    }

}
